Groovy 1.7.0

## org.codehaus.groovy.ast.stmt
Class Statement

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.stmt.Statement

    class Statement
    extends ASTNode

Base class for any statement

author:
  James Strachan

version:
  $Revision: 6778 $

Constructor Summary
`Statement()`

Method Summary
`String` | `getStatementLabel()`
`boolean` | `isEmpty()`
`void` | `setStatementLabel(String label)`

Methods inherited from class ASTNode
getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### Statement

    public Statement()

Method Detail

### getStatementLabel

    public String getStatementLabel()

### isEmpty

    public boolean isEmpty()

### setStatementLabel

    public void setStatementLabel(String label)

Copyright © 2003-2009 The Codehaus. All rights reserved.